Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Fri, 16 Oct 2015 21:22:57 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Rainer M Krug <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
>> Date: Fri, 16 Oct 2015 10:35:11 +0200
>> 
>> OK - I am back. I upgraded my system to OSX El Capitan and I still had
>> the crashes.
>> 
>> I attach the log (unfortunately the logging was not working as I deleted
>> the log inbetween, but I attach the shell output which should be the
>> same).
>> 
>> I leave the session open and enable logging again.
>> 
>> Let me know if you need further info.
>
> I see the problem, but I don't yet understand how it happens.

At least one step further.

>
> What is the value of windows_or_buffers_changed?  IOW, what does this
> print:
>
>  (gdb) p windows_or_buffers_changed

,----
| (gdb) p windows_or_buffers_changed
| $14350 = 2
| (gdb)
`----

in frame 7

>
> Also, can you try adding this line:
>
>   f->fonts_changed = true;
>
> after this line in frame.c:x_set_font (should be around line 3650 in
> frame.c):
>
>   /* Attempt to hunt down bug#16028.  */
>   SET_FRAME_GARBAGED (f);  <<<<<<<<<<<<<<<<<<<<<<<<<<
>

OK - now it looks as follow:

,----
|   /* Attempt to hunt down bug#16028.  */
|   SET_FRAME_GARBAGED (f);
| 
|   /* Added by rkrug */
|   f->fonts_changed = true;
|   
|   recompute_basic_faces (f);
| 
|   do_pending_window_change (0);
`----

> Please add that here, and see if the crashes go away.

OK.

I'll leave the session open till Monday - so let me know if you need
some further information.

On Monday, I will re-compile and start again as I did this time.

Thanks,

Rainer

> Thanks.

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982